# TdApi.UpdateNewCallbackQuery (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateNewCallbackQuery

Package it.tdlight.jni

# Class TdApi.UpdateNewCallbackQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewCallbackQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewCallbackQuery
    extends TdApi.Update

A new incoming callback query; for bots only.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Identifier of the chat where the query was sent.
`long` | `chatInstance` | Identifier that uniquely corresponds to the chat to which the message was sent.
`static int` | `CONSTRUCTOR` |
`long` | `id` | Unique query identifier.
`long` | `messageId` | Identifier of the message, from which the query originated.
`TdApi.CallbackQueryPayload` | `payload` | Query payload.
`long` | `senderUserId` | Identifier of the user who sent the query.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateNewCallbackQuery()` | A new incoming callback query; for bots only.
`UpdateNewCallbackQuery​(long id, long senderUserId, long chatId, long messageId, long chatInstance, TdApi.CallbackQueryPayload payload)` | A new incoming callback query; for bots only.
`UpdateNewCallbackQuery​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique query identifier.

### senderUserId

public long senderUserId
Identifier of the user who sent the query.

### chatId

public long chatId
Identifier of the chat where the query was sent.

### messageId

public long messageId
Identifier of the message, from which the query originated.

### chatInstance

public long chatInstance
Identifier that uniquely corresponds to the chat to which the message was sent.

### payload

public TdApi.CallbackQueryPayload payload
Query payload.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateNewCallbackQuery

public UpdateNewCallbackQuery()
A new incoming callback query; for bots only.

### UpdateNewCallbackQuery

public UpdateNewCallbackQuery​(long id, long senderUserId, long chatId, long messageId, long chatInstance, TdApi.CallbackQueryPayload payload)
A new incoming callback query; for bots only.

Parameters:
  `id` - long Unique query identifier.
  `senderUserId` - long Identifier of the user who sent the query.
  `chatId` - long Identifier of the chat where the query was sent.
  `messageId` - long Identifier of the message, from which the query originated.
  `chatInstance` - long Identifier that uniquely corresponds to the chat to which the message was sent.
  `payload` - CallbackQueryPayload Query payload.

### UpdateNewCallbackQuery

public UpdateNewCallbackQuery​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`